# Module cargo::util::network::retry

source ·
Expand description

Utilities for retrying a network operation.

## Structs

- Retry

## Enums

- RetryResult

## Constants

- INITIAL_RETRY_JITTER_MS 🔒
  The maximum amount of additional time the initial retry will take (milliseconds).
- INITIAL_RETRY_SLEEP_BASE_MS 🔒
  The minimum initial amount of time a retry will be delayed (milliseconds).
- MAX_RETRY_SLEEP_MS 🔒
  Maximum amount of time a single retry can be delayed (milliseconds).

## Functions

- maybe_spurious 🔒
- with_retry
  Wrapper method for network call retry logic.